[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'RttiUtils' (#fcl)

# TPropsStorage.LoadAnyProperty

Load a property value

## Declaration

Source position: rttiutils.pp line 114

`public procedure TPropsStorage.LoadAnyProperty(`
`PropInfo: PPropInfo`
`);`

## Arguments

`PropInfo` |  | Information about property to load

## Description

LoadAnyProperty loads the property with information specified in PropInfo from the storage mechanism. The value is then applied to the object instance specified in the AObject property of TPropsStorage.

## Errors

If the property pointer is invalid or AObject is invalid, an exception will be raised.

## See also

AObject |  | Object to load or store properties from
StoreAnyProperty |  | Store a property value
LoadProperties |  | Load a list of properties
StoreProperties |  | Store a list of properties